/*------------------------------------------------------------------------------------
Copyright (c)2000 TogetherSoft Corporation. Patents pending. All rights reserved.
------------------------------------------------------------------------------------*/

package com.togethersoft.modules.xmleditor.dtd;

import java.util.*;

public interface DTDElementDef extends DTDValueDef
{
  // element types
  int ET_EMPTY    = 0;
  int ET_ANY      = 1;
  int ET_PCDATA   = 2;
  int ET_COMPOUND = 3;

  DTDDocumentType getDocumentType();

  String      getTagName();
  int         getElementType();

  String      getFullName();
  void        setFullName (String fullName);

  void        setChildrenItemDef (DTDItemDef itemDef);
  DTDItemDef  getChildrenItemDef();

  Vector      getChildElementDefs();

  Enumeration attributeDefs();
  void        addAttributeDef (DTDAttributeDef attrDef);

  String      getRwiElementProviderClassName();
  Properties  getRwiElementProviderParam();
}
